[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Align

Return aligned version of an address

## Declaration

Source position: systemh.inc line 837

`function Align(`
`Addr: PtrUInt;`
`Alignment: PtrUInt`
`):PtrUInt; function Align(`
`Addr: Pointer;`
`Alignment: PtrUInt`
`):Pointer;`

## Description

Align returns Address, aligned to Alignment bytes.

## Errors

None.